diff -Nur /usr/ports/print/mup/Makefile mup/Makefile
--- /usr/ports/print/mup/Makefile	Thu Nov 13 14:00:32 2003
+++ mup/Makefile	Wed Mar  2 16:29:07 2005
@@ -2,15 +2,14 @@
 # Date Created:				Oct 4, 2002
 # Whom:					Daniel O'Connor <darius@dons.net.au>
 #
-# $FreeBSD: ports/print/mup/Makefile,v 1.4 2003/11/13 03:30:32 edwin Exp $
+# $FreeBSD: ports/print/mup/Makefile,v 1.3 2003/11/03 03:56:40 kris Exp $
 #
 
 PORTNAME=	mup
-PORTVERSION=	4.6
-PORTREVISION=	0
+PORTVERSION=	5.0
 CATEGORIES=	print audio
 MASTER_SITES=	ftp://ftp.arkkra.com/pub/unix/
-DISTFILES=	mup46src.tar.gz mup46doc.tar.gz
+DISTFILES=	mup50src.tar.gz mup50doc.tar.gz
 
 MAINTAINER=	darius@dons.net.au
 COMMENT=	A shareware program for typesetting music
@@ -35,7 +34,7 @@
 	${INSTALL_MAN} ${WRKSRC}/docs/mupprnt.1 ${PREFIX}/man/man1
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
-	tar -cf - -C ${WRKSRC}/docs/ overview.txt register.txt README1 mupfeat.txt faq.txt license.txt uguide uguide.ps | tar -C ${DOCSDIR} -xf -
+	${TAR} -cf - -C ${WRKSRC}/docs/ overview.txt register.txt README1 mupfeat.txt faq.txt license.txt uguide uguide.ps | ${TAR} -C ${DOCSDIR} -xf -
 	${INSTALL_DATA} ${WRKSRC}/README0 ${DOCSDIR}
 .endif
 
diff -Nur /usr/ports/print/mup/distinfo mup/distinfo
--- /usr/ports/print/mup/distinfo	Sun Apr 11 13:55:34 2004
+++ mup/distinfo	Wed Mar  2 16:10:46 2005
@@ -1,4 +1,4 @@
-MD5 (mup46src.tar.gz) = a4019542e0de5337240552adf5a56430
-SIZE (mup46src.tar.gz) = 745999
-MD5 (mup46doc.tar.gz) = 4a912caac886bc4a6b1896fc8a1848cc
-SIZE (mup46doc.tar.gz) = 586421
+MD5 (mup50src.tar.gz) = 980d467c9f42f00bd9ba54b34fcf61c9
+SIZE (mup50src.tar.gz) = 779418
+MD5 (mup50doc.tar.gz) = cb5b4ddea95f38c220a12dbe74f570d9
+SIZE (mup50doc.tar.gz) = 641955
diff -Nur /usr/ports/print/mup/files/Makefile.disp mup/files/Makefile.disp
--- /usr/ports/print/mup/files/Makefile.disp	Mon Oct  6 10:28:59 2003
+++ mup/files/Makefile.disp	Wed Mar  2 16:11:22 2005
@@ -1,5 +1,5 @@
 PROG=	mupdisp
-NOMAN=
+NO_MAN=
 
 SRCS=	do_cmd.c \
 	genfile.c \
diff -Nur /usr/ports/print/mup/files/Makefile.fnt mup/files/Makefile.fnt
--- /usr/ports/print/mup/files/Makefile.fnt	Mon Oct  6 10:28:59 2003
+++ mup/files/Makefile.fnt	Wed Mar  2 16:11:27 2005
@@ -1,5 +1,5 @@
 PROG=	mkmupfnt
-NOMAN=
+NO_MAN=
 
 .include <bsd.prog.mk>
 
diff -Nur /usr/ports/print/mup/files/Makefile.mup mup/files/Makefile.mup
--- /usr/ports/print/mup/files/Makefile.mup	Mon Oct  6 10:28:59 2003
+++ mup/files/Makefile.mup	Wed Mar  2 16:13:42 2005
@@ -1,57 +1,58 @@
 PROG=	mup
 LDADD+=	-lm
-NOMAN=
+NO_MAN=
 
 SRCS=	abshorz.c \
-	absvert.c \
-	assign.c \
-	beaming.c \
-	beamstem.c \
-	brac.c \
-	charinfo.c \
-	check.c \
-	debug.c \
-	errors.c \
-	extchtbl.c \
-	font.c \
-	fontdata.c \
-	globals.c \
-	grpsyl.c \
-	lex.c \
-	locvar.c \
-	lyrics.c \
-	macros.c \
-	main.c \
-	mainlist.c \
-	map.c \
-	midi.c \
-	midiutil.c \
-	mkchords.c \
-	muschtbl.c \
-	nxtstrch.c \
-	parstuff.c \
-	phrase.c \
-	plutils.c \
-	print.c \
-	prntdata.c \
-	prntmisc.c \
-	prnttab.c \
-	prolog.c \
-	range.c \
-	rational.c \
-	relvert.c \
-	restsyl.c \
-	roll.c \
-	setgrps.c \
-	setnotes.c \
-	ssv.c \
-	stuff.c \
-	symtbl.c \
-	tie.c \
-	trantab.c \
-	trnspose.c \
-	undrscre.c \
-	utils.c \
-	ytab.c
+        absvert.c \
+        assign.c \
+        beaming.c \
+        beamstem.c \
+        brac.c \
+        charinfo.c \
+        check.c \
+        debug.c \
+        errors.c \
+        extchtbl.c \
+        font.c \
+        fontdata.c \
+        globals.c \
+        grpsyl.c \
+        lex.c \
+        locvar.c \
+        lyrics.c \
+        macros.c \
+        main.c \
+        mainlist.c \
+        map.c \
+        midi.c \
+        midiutil.c \
+        mkchords.c \
+        muschtbl.c \
+        nxtstrch.c \
+        parstssv.c \
+        parstuff.c \
+        phrase.c \
+        plutils.c \
+        print.c \
+        prntdata.c \
+        prntmisc.c \
+        prnttab.c \
+        prolog.c \
+        range.c \
+        rational.c \
+        relvert.c \
+        restsyl.c \
+        roll.c \
+        setgrps.c \
+        setnotes.c \
+        ssv.c \
+        stuff.c \
+        symtbl.c \
+        tie.c \
+        trantab.c \
+        trnspose.c \
+        undrscre.c \
+        utils.c \
+        ytab.c
 
 .include <bsd.prog.mk>
diff -Nur /usr/ports/print/mup/files/patch-aa mup/files/patch-aa
--- /usr/ports/print/mup/files/patch-aa	Mon Oct  6 10:28:59 2003
+++ mup/files/patch-aa	Thu Jan  1 09:30:00 1970
@@ -1,22 +0,0 @@
---- mupdisp/mupdisp.c.orig	Wed Nov 27 20:49:30 2002
-+++ mupdisp/mupdisp.c	Wed Nov 27 23:03:09 2002
-@@ -45,6 +45,10 @@
-  *	chmod 4755 mupdisp
-  */
- 
-+#include <stdio.h>
-+#include <stdlib.h>
-+#include <unistd.h>
-+#include <sys/signal.h>
- 
- #include "mupdisp.h"
- #ifdef __WATCOMC__
-@@ -112,7 +116,7 @@
- 	/* arrange to clean up temp files. Note that the user interface
- 	 * will probably have its own cleanup */
- 	for (n = 0; n < NSIG; n++) {
--		if (n != SIGKILL && n != SIGCLD && n != SIGWINCH) {
-+		if (n != SIGKILL && n != SIGCHLD && n != SIGWINCH) {
- 			signal(n, generalcleanup);
- 		}
- 	}
diff -Nur /usr/ports/print/mup/files/patch-ab mup/files/patch-ab
--- /usr/ports/print/mup/files/patch-ab	Mon Oct  6 10:28:59 2003
+++ mup/files/patch-ab	Thu Jan  1 09:30:00 1970
@@ -1,19 +0,0 @@
---- mupdisp/mupdisp.h.orig	Sun Oct  5 17:53:43 2003
-+++ mupdisp/mupdisp.h	Sun Oct  5 17:54:05 2003
-@@ -12,8 +12,7 @@
- #include <signal.h>
- #include <string.h>
- #include <stdlib.h>
--#include <malloc.h>
--#if !defined(linux) && !defined(__EMX__)
-+#if !defined(linux) && !defined(__EMX__) && !defined(__FreeBSD__)
- /* undef SIGCHLD to avoid conflict with Xos.h */
- #undef SIGCHLD
- #endif
-@@ -146,6 +145,3 @@
- extern void init P((void));
- extern void do_cmd P((int c));
- 
--extern char *getenv();
--extern long ftell();
--extern long lseek();
diff -Nur /usr/ports/print/mup/files/patch-ac mup/files/patch-ac
--- /usr/ports/print/mup/files/patch-ac	Mon Oct  6 10:28:59 2003
+++ mup/files/patch-ac	Thu Jan  1 09:30:00 1970
@@ -1,11 +0,0 @@
---- mupdisp/dispttyp.h.orig	Sat Jun 22 12:30:53 2002
-+++ mupdisp/dispttyp.h	Wed Nov 27 23:28:55 2002
-@@ -9,7 +9,7 @@
-  * Support for other terminal types could be added in the future. */
- 
- #ifdef i386
--#if !defined(linux) && !defined(__EMX__)
-+#if !defined(linux) && !defined(__EMX__) && !defined(__FreeBSD__)
- #define AT386	1
- #endif
- #endif
diff -Nur /usr/ports/print/mup/files/patch-mupdisp::dispttyp.h mup/files/patch-mupdisp::dispttyp.h
--- /usr/ports/print/mup/files/patch-mupdisp::dispttyp.h	Thu Jan  1 09:30:00 1970
+++ mup/files/patch-mupdisp::dispttyp.h	Mon Oct  6 10:28:59 2003
@@ -0,0 +1,11 @@
+--- mupdisp/dispttyp.h.orig	Sat Jun 22 12:30:53 2002
++++ mupdisp/dispttyp.h	Wed Nov 27 23:28:55 2002
+@@ -9,7 +9,7 @@
+  * Support for other terminal types could be added in the future. */
+ 
+ #ifdef i386
+-#if !defined(linux) && !defined(__EMX__)
++#if !defined(linux) && !defined(__EMX__) && !defined(__FreeBSD__)
+ #define AT386	1
+ #endif
+ #endif
diff -Nur /usr/ports/print/mup/files/patch-mupdisp::mupdisp.c mup/files/patch-mupdisp::mupdisp.c
--- /usr/ports/print/mup/files/patch-mupdisp::mupdisp.c	Thu Jan  1 09:30:00 1970
+++ mup/files/patch-mupdisp::mupdisp.c	Wed Mar  2 16:20:42 2005
@@ -0,0 +1,31 @@
+--- mupdisp/mupdisp.c.orig	Tue Jun 22 09:18:32 2004
++++ mupdisp/mupdisp.c	Wed Mar  2 16:19:53 2005
+@@ -45,6 +45,10 @@
+  *	chmod 4755 mupdisp
+  */
+ 
++#include <stdio.h>
++#include <stdlib.h>
++#include <unistd.h>
++#include <sys/signal.h>
+ 
+ #include "mupdisp.h"
+ #ifdef __WATCOMC__
+@@ -112,7 +116,7 @@
+ 	/* arrange to clean up temp files. Note that the user interface
+ 	 * will probably have its own cleanup */
+ 	for (n = 0; n < NSIG; n++) {
+-		if (n != SIGKILL && n != SIGCLD && n != SIGWINCH) {
++		if (n != SIGKILL && n != SIGCHLD && n != SIGWINCH) {
+ 			signal(n, generalcleanup);
+ 		}
+ 	}
+@@ -314,7 +318,7 @@
+ 	int fd;
+ 
+ 
+-#ifdef linux
++#if defined(linux) || defined(__FreeBSD__)
+ 	if ((fd = mkstemp(tmpfname)) < 0) {
+ 		fprintf(stderr, "can't create temp file\n");
+ 		generalcleanup(1);
diff -Nur /usr/ports/print/mup/files/patch-mupdisp::mupdisp.h mup/files/patch-mupdisp::mupdisp.h
--- /usr/ports/print/mup/files/patch-mupdisp::mupdisp.h	Thu Jan  1 09:30:00 1970
+++ mup/files/patch-mupdisp::mupdisp.h	Mon Oct  6 10:28:59 2003
@@ -0,0 +1,19 @@
+--- mupdisp/mupdisp.h.orig	Sun Oct  5 17:53:43 2003
++++ mupdisp/mupdisp.h	Sun Oct  5 17:54:05 2003
+@@ -12,8 +12,7 @@
+ #include <signal.h>
+ #include <string.h>
+ #include <stdlib.h>
+-#include <malloc.h>
+-#if !defined(linux) && !defined(__EMX__)
++#if !defined(linux) && !defined(__EMX__) && !defined(__FreeBSD__)
+ /* undef SIGCHLD to avoid conflict with Xos.h */
+ #undef SIGCHLD
+ #endif
+@@ -146,6 +145,3 @@
+ extern void init P((void));
+ extern void do_cmd P((int c));
+ 
+-extern char *getenv();
+-extern long ftell();
+-extern long lseek();
diff -Nur /usr/ports/print/mup/pkg-plist mup/pkg-plist
--- /usr/ports/print/mup/pkg-plist	Thu Nov 13 14:00:32 2003
+++ mup/pkg-plist	Thu Mar  3 11:12:05 2005
@@ -1,20 +1,22 @@
-bin/mup
 bin/mkmupfnt
+bin/mup
 bin/mupdisp
 bin/mupprnt
-%%PORTDOCS%%%%DOCSDIR%%/overview.txt
-%%PORTDOCS%%%%DOCSDIR%%/register.txt
 %%PORTDOCS%%%%DOCSDIR%%/README0
 %%PORTDOCS%%%%DOCSDIR%%/README1
-%%PORTDOCS%%%%DOCSDIR%%/mupfeat.txt
 %%PORTDOCS%%%%DOCSDIR%%/faq.txt
 %%PORTDOCS%%%%DOCSDIR%%/license.txt
+%%PORTDOCS%%%%DOCSDIR%%/mupfeat.txt
+%%PORTDOCS%%%%DOCSDIR%%/overview.txt
+%%PORTDOCS%%%%DOCSDIR%%/register.txt
+%%PORTDOCS%%%%DOCSDIR%%/uguide.ps
 %%PORTDOCS%%%%DOCSDIR%%/uguide/adjust.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/altinp.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/bars.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/basics.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/brackmac.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/cadenza.html
+%%PORTDOCS%%%%DOCSDIR%%/uguide/chant.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/chordinp.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/chrdattr.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/cmdargs.html
@@ -36,6 +38,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/uguide/macros.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/manual.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/midi.html
+%%PORTDOCS%%%%DOCSDIR%%/uguide/midmeas.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/mixtsig.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/mugex10.gif
 %%PORTDOCS%%%%DOCSDIR%%/uguide/mugex11.gif
@@ -124,9 +127,16 @@
 %%PORTDOCS%%%%DOCSDIR%%/uguide/mugex87.gif
 %%PORTDOCS%%%%DOCSDIR%%/uguide/mugex88.gif
 %%PORTDOCS%%%%DOCSDIR%%/uguide/mugex89.gif
+%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex9.gif
 %%PORTDOCS%%%%DOCSDIR%%/uguide/mugex90.gif
 %%PORTDOCS%%%%DOCSDIR%%/uguide/mugex91.gif
-%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex9.gif
+%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex92.gif
+%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex93.gif
+%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex94.gif
+%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex95.gif
+%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex96.gif
+%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex97.gif
+%%PORTDOCS%%%%DOCSDIR%%/uguide/mugex98.gif
 %%PORTDOCS%%%%DOCSDIR%%/uguide/multirst.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/multsong.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/muschar.gif
@@ -145,6 +155,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/uguide/pstools.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/register.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/roll.html
+%%PORTDOCS%%%%DOCSDIR%%/uguide/shaped.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/slashmrk.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/stuff.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/tabstaff.html
@@ -157,6 +168,5 @@
 %%PORTDOCS%%%%DOCSDIR%%/uguide/uguide.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/utilpgms.html
 %%PORTDOCS%%%%DOCSDIR%%/uguide/verses.html
-%%PORTDOCS%%%%DOCSDIR%%/uguide.ps
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/uguide
 %%PORTDOCS%%@dirrm %%DOCSDIR%%