diff -ur /usr/ports/x11-toolkits/tix/Makefile tix/Makefile
--- /usr/ports/x11-toolkits/tix/Makefile	2009-08-22 00:39:29.000000000 +0000
+++ tix/Makefile	2010-12-02 14:24:59.000000000 +0000
@@ -6,18 +6,18 @@
 #
 
 PORTNAME=	tix
-PORTVERSION=	8.1.4
-PORTREVISION=	5
+PORTVERSION=	8.4.3
 CATEGORIES=	x11-toolkits tk
 MASTER_SITES=   SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	doconnor@gsoft.com.au
 COMMENT=	An extension to the Tk toolkit
 
-WRKSRC=		${WRKDIR}/${DISTNAME}/unix/tk8.4
+DISTNAME=	Tix${DISTVERSION}-src${DISTVERSIONSUFFIX}
+WRKSRC=		${WRKDIR}/Tix${DISTVERSION}
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
-USE_TK=		84
+USE_TK=		84+
 CONFIGURE_ARGS=	--enable-shared --enable-sam \
 		--with-tclconfig="${TCL_LIBDIR}" \
 		--with-tkconfig="${TK_LIBDIR}" \
@@ -25,7 +25,6 @@
 		--with-tkinclude="${TK_INCLUDEDIR}"
 # this should probably be added to bsd.port.mk
 CONFIGURE_ENV=	PREFIX=${PREFIX}
-MAN1=		tixwish.1
 MANN=		TixIntro.n compound.n pixmap.n tix.n tixBalloon.n \
 		tixButtonBox.n tixCheckList.n tixComboBox.n tixControl.n \
 		tixDestroy.n tixDirList.n tixDirSelectDialog.n tixDirTree.n \
@@ -39,19 +38,13 @@
 		tixScrolledWindow.n tixSelect.n tixStdButtonBox.n tixTList.n \
 		tixTree.n tixUtils.n
 
-TIX_LIB=	libtix8184.so
-TIXSAM_LIB=	libtixsam8184.so
-TIX_LIB_FILE=	${TIX_LIB}.1
-TIXSAM_LIB_FILE=${TIXSAM_LIB}.1
-TIXWISH=	tixwish8.1.8.4
-
 .include <bsd.port.pre.mk>
 
 pre-extract:
 	@${MAKE} clean
 
 pre-configure:
-	@(cd ${WRKSRC}/.. && \
+	@(cd ${WRKSRC} && \
 	    CC="${CC}" ac_cv_path_CC="${CC}" CFLAGS="${CFLAGS}" \
 	    INSTALL="/usr/bin/install -c -o ${BINOWN} -g ${BINGRP}" \
 	    INSTALL_PROGRAM="${INSTALL_PROGRAM}" \
@@ -59,24 +52,13 @@
 	    ${CONFIGURE_ENV} ./${CONFIGURE_SCRIPT} ${CONFIGURE_ARGS})
 
 post-configure:
+	@${REINPLACE_CMD} -e "s|package require Tcl 8\.4|package require Tcl ${TCL_VER}|g" ${WRKSRC}/Makefile
 	@${REINPLACE_CMD} -e "s,TCL_SRC_DIR .*,TCL_SRC_DIR=${TCL_INCLUDEDIR},g" \
 	-e "s,TK_SRC_DIR .*,TK_SRC_DIR=${TK_INCLUDEDIR},g" \
 	-e "s,\$$(TCL_BIN_DIR)/tclsh,${TCLSH},g" \
 	${WRKSRC}/Makefile
 
 post-install:
-	@(cd ${WRKSRC}/.. && \
-	    ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${INSTALL_TARGET})
-	${LN} -fs ${PREFIX}/bin/${TIXWISH} ${PREFIX}/bin/tixwish
-	${LN} -fs ${TIX_LIB_FILE} ${PREFIX}/lib/${TIX_LIB}
-	${LN} -fs ${TIXSAM_LIB_FILE} ${PREFIX}/lib/${TIXSAM_LIB}
-.for dir in generic unix
-	@${MKDIR} ${PREFIX}/include/tix/${dir}
-	${INSTALL_DATA} ${WRKSRC}/../../${dir}/*.h ${PREFIX}/include/tix/${dir}
-.endfor
-	${RM} ${PREFIX}/include/tix/generic/tix.h
-	@# These two files are the same
-	${LN} -sf ../../tix.h ${PREFIX}/include/tix/generic
-	${MV} ${PREFIX}/man/mann/tixwish.1 ${PREFIX}/man/man1
+	${INSTALL_MAN} ${WRKSRC}/man/*.n ${PREFIX}/man/mann/
 
 .include <bsd.port.post.mk>
diff -ur /usr/ports/x11-toolkits/tix/distinfo tix/distinfo
--- /usr/ports/x11-toolkits/tix/distinfo	2006-01-24 03:16:46.000000000 +0000
+++ tix/distinfo	2010-12-02 06:55:10.000000000 +0000
@@ -1,3 +1,2 @@
-MD5 (tix-8.1.4.tar.gz) = 128a74718d6d9e10fac40cdf11c661a3
-SHA256 (tix-8.1.4.tar.gz) = aac0a8fe5549f5f74d9b620699c7b4819dd8cc691d6f2fbdaa5aaadd0a81f216
-SIZE (tix-8.1.4.tar.gz) = 1796314
+SHA256 (Tix8.4.3-src.tar.gz) = 562f040ff7657e10b5cffc2c41935f1a53c6402eb3d5f3189113d734fd6c03cb
+SIZE (Tix8.4.3-src.tar.gz) = 1831503
Only in /usr/ports/x11-toolkits/tix/files: patch-aa
Only in /usr/ports/x11-toolkits/tix/files: patch-ab
Only in /usr/ports/x11-toolkits/tix/files: patch-ac
Only in /usr/ports/x11-toolkits/tix/files: patch-ae
Only in /usr/ports/x11-toolkits/tix/files: patch-af
Only in tix/files: patch-configure
diff -ur /usr/ports/x11-toolkits/tix/pkg-plist tix/pkg-plist
--- /usr/ports/x11-toolkits/tix/pkg-plist	2006-06-23 08:57:55.000000000 +0000
+++ tix/pkg-plist	2010-12-02 08:54:17.000000000 +0000
@@ -1,281 +1,166 @@
-bin/tixindex
-bin/tixwish8.1.8.4
-@exec ln -s %D/%F %B/tixwish
-@unexec rm %B/tixwish
-include/tix.h
-include/tix/generic/tix.h
-include/tix/generic/tixBitmaps.h
-include/tix/generic/tixDef.h
-include/tix/generic/tixForm.h
-include/tix/generic/tixGrData.h
-include/tix/generic/tixGrid.h
-include/tix/generic/tixHList.h
-include/tix/generic/tixImgXpm.h
-include/tix/generic/tixInt.h
-include/tix/generic/tixItcl.h
-include/tix/generic/tixPort.h
-include/tix/generic/tixTList.h
-include/tix/unix/tixUnixInt.h
-include/tix/unix/tixUnixPort.h
-lib/libtix8184.so.1
-lib/libtix8184.so
-lib/libtixsam8184.so.1
-lib/libtixsam8184.so
-lib/tix8.1/bitmaps/act_fold.gif
-lib/tix8.1/bitmaps/act_fold.xbm
-lib/tix8.1/bitmaps/act_fold.xpm
-lib/tix8.1/bitmaps/balarrow.xbm
-lib/tix8.1/bitmaps/cbxarrow.xbm
-lib/tix8.1/bitmaps/ck_def.xbm
-lib/tix8.1/bitmaps/ck_off.xbm
-lib/tix8.1/bitmaps/ck_on.xbm
-lib/tix8.1/bitmaps/cross.xbm
-lib/tix8.1/bitmaps/decr.xbm
-lib/tix8.1/bitmaps/drop.xbm
-lib/tix8.1/bitmaps/file.gif
-lib/tix8.1/bitmaps/file.xbm
-lib/tix8.1/bitmaps/file.xpm
-lib/tix8.1/bitmaps/folder.gif
-lib/tix8.1/bitmaps/folder.xbm
-lib/tix8.1/bitmaps/folder.xpm
-lib/tix8.1/bitmaps/harddisk.xbm
-lib/tix8.1/bitmaps/hourglas.mask
-lib/tix8.1/bitmaps/hourglas.xbm
-lib/tix8.1/bitmaps/incr.xbm
-lib/tix8.1/bitmaps/info.gif
-lib/tix8.1/bitmaps/info.xpm
-lib/tix8.1/bitmaps/maximize.xbm
-lib/tix8.1/bitmaps/minimize.xbm
-lib/tix8.1/bitmaps/minus.gif
-lib/tix8.1/bitmaps/minus.xbm
-lib/tix8.1/bitmaps/minus.xpm
-lib/tix8.1/bitmaps/minusarm.gif
-lib/tix8.1/bitmaps/minusarm.xbm
-lib/tix8.1/bitmaps/minusarm.xpm
-lib/tix8.1/bitmaps/mktransgif.tcl
-lib/tix8.1/bitmaps/network.xbm
-lib/tix8.1/bitmaps/no_entry.gif
-lib/tix8.1/bitmaps/no_entry.xpm
-lib/tix8.1/bitmaps/openfile.xbm
-lib/tix8.1/bitmaps/openfold.gif
-lib/tix8.1/bitmaps/openfold.xbm
-lib/tix8.1/bitmaps/openfold.xpm
-lib/tix8.1/bitmaps/plus.gif
-lib/tix8.1/bitmaps/plus.xbm
-lib/tix8.1/bitmaps/plus.xpm
-lib/tix8.1/bitmaps/plusarm.gif
-lib/tix8.1/bitmaps/plusarm.xbm
-lib/tix8.1/bitmaps/plusarm.xpm
-lib/tix8.1/bitmaps/resize1.xbm
-lib/tix8.1/bitmaps/resize2.xbm
-lib/tix8.1/bitmaps/restore.xbm
-lib/tix8.1/bitmaps/srcfile.gif
-lib/tix8.1/bitmaps/srcfile.xbm
-lib/tix8.1/bitmaps/srcfile.xpm
-lib/tix8.1/bitmaps/system.xbm
-lib/tix8.1/bitmaps/textfile.gif
-lib/tix8.1/bitmaps/textfile.xbm
-lib/tix8.1/bitmaps/textfile.xpm
-lib/tix8.1/bitmaps/tick.xbm
-lib/tix8.1/bitmaps/warning.gif
-lib/tix8.1/bitmaps/warning.xpm
-lib/tix8.1/pref/10Point.fs
-lib/tix8.1/pref/10Point.fsc
-lib/tix8.1/pref/12Point.fs
-lib/tix8.1/pref/12Point.fsc
-lib/tix8.1/pref/14Point.fs
-lib/tix8.1/pref/14Point.fsc
-lib/tix8.1/pref/Bisque.cs
-lib/tix8.1/pref/Bisque.csc
-lib/tix8.1/pref/Blue.cs
-lib/tix8.1/pref/Blue.csc
-lib/tix8.1/pref/Gray.cs
-lib/tix8.1/pref/Gray.csc
-lib/tix8.1/pref/Old12Pt.fs
-lib/tix8.1/pref/Old14Pt.fs
-lib/tix8.1/pref/SGIGray.cs
-lib/tix8.1/pref/SGIGray.csc
-lib/tix8.1/pref/TK.cs
-lib/tix8.1/pref/TK.csc
-lib/tix8.1/pref/TK.fs
-lib/tix8.1/pref/TK.fsc
-lib/tix8.1/pref/TixGray.cs
-lib/tix8.1/pref/TixGray.csc
-lib/tix8.1/pref/TkWin.cs
-lib/tix8.1/pref/TkWin.csc
-lib/tix8.1/pref/TkWin.fs
-lib/tix8.1/pref/TkWin.fsc
-lib/tix8.1/pref/WmDefault.cs
-lib/tix8.1/pref/WmDefault.csc
-lib/tix8.1/pref/WmDefault.fs
-lib/tix8.1/pref/WmDefault.fsc
-lib/tix8.1/pref/WmDefault.py
-lib/tix8.1/pref/WmDefault.tcl
-lib/tix8.1/pref/WmDefault.txt
-lib/tix8.1/pref/pkgIndex.tcl
-lib/tix8.1/pref/tixmkpref
-lib/tix8.1/demos/bitmaps/about.xpm
-lib/tix8.1/demos/bitmaps/bold.xbm
-lib/tix8.1/demos/bitmaps/capital.xbm
-lib/tix8.1/demos/bitmaps/centerj.xbm
-lib/tix8.1/demos/bitmaps/code.xpm
-lib/tix8.1/demos/bitmaps/combobox.xbm
-lib/tix8.1/demos/bitmaps/combobox.xpm
-lib/tix8.1/demos/bitmaps/drivea.xbm
-lib/tix8.1/demos/bitmaps/drivea.xpm
-lib/tix8.1/demos/bitmaps/exit.xpm
-lib/tix8.1/demos/bitmaps/filebox.xbm
-lib/tix8.1/demos/bitmaps/filebox.xpm
-lib/tix8.1/demos/bitmaps/harddisk.xbm
-lib/tix8.1/demos/bitmaps/harddisk.xpm
-lib/tix8.1/demos/bitmaps/italic.xbm
-lib/tix8.1/demos/bitmaps/justify.xbm
-lib/tix8.1/demos/bitmaps/leftj.xbm
-lib/tix8.1/demos/bitmaps/netw.xbm
-lib/tix8.1/demos/bitmaps/netw.xpm
-lib/tix8.1/demos/bitmaps/network.xbm
-lib/tix8.1/demos/bitmaps/network.xpm
-lib/tix8.1/demos/bitmaps/optmenu.xpm
-lib/tix8.1/demos/bitmaps/rightj.xbm
-lib/tix8.1/demos/bitmaps/select.xpm
-lib/tix8.1/demos/bitmaps/tix.gif
-lib/tix8.1/demos/bitmaps/underlin.xbm
-lib/tix8.1/demos/samples/AllSampl.tcl
-lib/tix8.1/demos/samples/ArrowBtn.tcl
-lib/tix8.1/demos/samples/Balloon.tcl
-lib/tix8.1/demos/samples/BtnBox.tcl
-lib/tix8.1/demos/samples/CObjView.tcl
-lib/tix8.1/demos/samples/ChkList.tcl
-lib/tix8.1/demos/samples/CmpImg.tcl
-lib/tix8.1/demos/samples/CmpImg1.tcl
-lib/tix8.1/demos/samples/CmpImg2.tcl
-lib/tix8.1/demos/samples/CmpImg3.tcl
-lib/tix8.1/demos/samples/CmpImg4.tcl
-lib/tix8.1/demos/samples/ComboBox.tcl
-lib/tix8.1/demos/samples/Control.tcl
-lib/tix8.1/demos/samples/DirDlg.tcl
-lib/tix8.1/demos/samples/DirList.tcl
-lib/tix8.1/demos/samples/DirTree.tcl
-lib/tix8.1/demos/samples/DragDrop.tcl
-lib/tix8.1/demos/samples/DynTree.tcl
-lib/tix8.1/demos/samples/EFileDlg.tcl
-lib/tix8.1/demos/samples/EditGrid.tcl
-lib/tix8.1/demos/samples/FileDlg.tcl
-lib/tix8.1/demos/samples/FileEnt.tcl
-lib/tix8.1/demos/samples/HList1.tcl
-lib/tix8.1/demos/samples/LabEntry.tcl
-lib/tix8.1/demos/samples/LabFrame.tcl
-lib/tix8.1/demos/samples/ListNBK.tcl
-lib/tix8.1/demos/samples/Meter.tcl
-lib/tix8.1/demos/samples/NoteBook.tcl
-lib/tix8.1/demos/samples/OptMenu.tcl
-lib/tix8.1/demos/samples/PanedWin.tcl
-lib/tix8.1/demos/samples/PopMenu.tcl
-lib/tix8.1/demos/samples/SGrid0.tcl
-lib/tix8.1/demos/samples/SGrid1.tcl
-lib/tix8.1/demos/samples/SHList.tcl
-lib/tix8.1/demos/samples/SHList2.tcl
-lib/tix8.1/demos/samples/SListBox.tcl
-lib/tix8.1/demos/samples/STList1.tcl
-lib/tix8.1/demos/samples/STList2.tcl
-lib/tix8.1/demos/samples/STList3.tcl
-lib/tix8.1/demos/samples/SText.tcl
-lib/tix8.1/demos/samples/SWindow.tcl
-lib/tix8.1/demos/samples/Sample.tcl
-lib/tix8.1/demos/samples/Select.tcl
-lib/tix8.1/demos/samples/StdBBox.tcl
-lib/tix8.1/demos/samples/Tree.tcl
-lib/tix8.1/demos/samples/Xpm.tcl
-lib/tix8.1/demos/samples/Xpm1.tcl
-lib/tix8.1/demos/MkChoose.tcl
-lib/tix8.1/demos/MkDirLis.tcl
-lib/tix8.1/demos/MkManag.tcl
-lib/tix8.1/demos/MkSample.tcl
-lib/tix8.1/demos/MkScroll.tcl
-lib/tix8.1/demos/README
-lib/tix8.1/demos/tclIndex
-lib/tix8.1/demos/tixwidgets.tcl
-lib/tix8.1/Balloon.tcl
-lib/tix8.1/BtnBox.tcl
-lib/tix8.1/CObjView.tcl
-lib/tix8.1/ChkList.tcl
-lib/tix8.1/ComboBox.tcl
-lib/tix8.1/Compat.tcl
-lib/tix8.1/Console.tcl
-lib/tix8.1/Control.tcl
-lib/tix8.1/DefSchm.tcl
-lib/tix8.1/DialogS.tcl
-lib/tix8.1/DirBox.tcl
-lib/tix8.1/DirDlg.tcl
-lib/tix8.1/DirList.tcl
-lib/tix8.1/DirTree.tcl
-lib/tix8.1/DragDrop.tcl
-lib/tix8.1/DtlList.tcl
-lib/tix8.1/EFileBox.tcl
-lib/tix8.1/EFileDlg.tcl
-lib/tix8.1/Event.tcl
-lib/tix8.1/FileBox.tcl
-lib/tix8.1/Tix.tcl
-lib/tix8.1/FileCbx.tcl
-lib/tix8.1/FileCmpt.tcl
-lib/tix8.1/FileDlg.tcl
-lib/tix8.1/FileEnt.tcl
-lib/tix8.1/FileUtil.tcl
-lib/tix8.1/FloatEnt.tcl
-lib/tix8.1/Grid.tcl
-lib/tix8.1/HList.tcl
-lib/tix8.1/HListDD.tcl
-lib/tix8.1/IconView.tcl
-lib/tix8.1/Init.tcl
-lib/tix8.1/LabEntry.tcl
-lib/tix8.1/LabFrame.tcl
-lib/tix8.1/LabWidg.tcl
-lib/tix8.1/ListNBk.tcl
-lib/tix8.1/Meter.tcl
-lib/tix8.1/MultView.tcl
-lib/tix8.1/NoteBook.tcl
-lib/tix8.1/OldUtil.tcl
-lib/tix8.1/OptMenu.tcl
-lib/tix8.1/PanedWin.tcl
-lib/tix8.1/PopMenu.tcl
-lib/tix8.1/Primitiv.tcl
-lib/tix8.1/ResizeH.tcl
-lib/tix8.1/fs.tcl
-lib/tix8.1/SGrid.tcl
-lib/tix8.1/SHList.tcl
-lib/tix8.1/SListBox.tcl
-lib/tix8.1/STList.tcl
-lib/tix8.1/SText.tcl
-lib/tix8.1/SWidget.tcl
-lib/tix8.1/SWindow.tcl
-lib/tix8.1/Select.tcl
-lib/tix8.1/Shell.tcl
-lib/tix8.1/SimpDlg.tcl
-lib/tix8.1/StackWin.tcl
-lib/tix8.1/StatBar.tcl
-lib/tix8.1/StdBBox.tcl
-lib/tix8.1/StdShell.tcl
-lib/tix8.1/TList.tcl
-lib/tix8.1/Tree.tcl
-lib/tix8.1/UnixFile.tcl
-lib/tix8.1/Utils.tcl
-lib/tix8.1/VResize.tcl
-lib/tix8.1/VStack.tcl
-lib/tix8.1/VTree.tcl
-lib/tix8.1/Variable.tcl
-lib/tix8.1/Verify.tcl
-lib/tix8.1/Version.tcl
-lib/tix8.1/WInfo.tcl
-lib/tix8.1/WinFile.tcl
-lib/tix8.1/pkgIndex.tcl
-lib/tix8.1/tclIndex
-lib/tixConfig.sh
-@dirrm include/tix/generic
-@dirrm include/tix/unix
-@dirrm include/tix
-@dirrm lib/tix8.1/pref
-@dirrm lib/tix8.1/demos/samples
-@dirrm lib/tix8.1/demos/bitmaps
-@dirrm lib/tix8.1/demos
-@dirrm lib/tix8.1/bitmaps
-@dirrm lib/tix8.1
+lib/Tix8.4.3/libTix8.4.3.so
+lib/Tix8.4.3/Init.tcl
+lib/Tix8.4.3/Balloon.tcl
+lib/Tix8.4.3/BtnBox.tcl
+lib/Tix8.4.3/CObjView.tcl
+lib/Tix8.4.3/ChkList.tcl
+lib/Tix8.4.3/ComboBox.tcl
+lib/Tix8.4.3/Compat.tcl
+lib/Tix8.4.3/Console.tcl
+lib/Tix8.4.3/Control.tcl
+lib/Tix8.4.3/DefSchm.tcl
+lib/Tix8.4.3/DialogS.tcl
+lib/Tix8.4.3/DirBox.tcl
+lib/Tix8.4.3/DirDlg.tcl
+lib/Tix8.4.3/DirList.tcl
+lib/Tix8.4.3/DirTree.tcl
+lib/Tix8.4.3/DragDrop.tcl
+lib/Tix8.4.3/DtlList.tcl
+lib/Tix8.4.3/EFileBox.tcl
+lib/Tix8.4.3/EFileDlg.tcl
+lib/Tix8.4.3/Event.tcl
+lib/Tix8.4.3/FileBox.tcl
+lib/Tix8.4.3/FileCbx.tcl
+lib/Tix8.4.3/FileDlg.tcl
+lib/Tix8.4.3/FileEnt.tcl
+lib/Tix8.4.3/FloatEnt.tcl
+lib/Tix8.4.3/Grid.tcl
+lib/Tix8.4.3/HList.tcl
+lib/Tix8.4.3/HListDD.tcl
+lib/Tix8.4.3/IconView.tcl
+lib/Tix8.4.3/LabEntry.tcl
+lib/Tix8.4.3/LabFrame.tcl
+lib/Tix8.4.3/LabWidg.tcl
+lib/Tix8.4.3/ListNBk.tcl
+lib/Tix8.4.3/Meter.tcl
+lib/Tix8.4.3/MultView.tcl
+lib/Tix8.4.3/NoteBook.tcl
+lib/Tix8.4.3/OldUtil.tcl
+lib/Tix8.4.3/OptMenu.tcl
+lib/Tix8.4.3/PanedWin.tcl
+lib/Tix8.4.3/PopMenu.tcl
+lib/Tix8.4.3/Primitiv.tcl
+lib/Tix8.4.3/ResizeH.tcl
+lib/Tix8.4.3/SGrid.tcl
+lib/Tix8.4.3/SHList.tcl
+lib/Tix8.4.3/SListBox.tcl
+lib/Tix8.4.3/Tix.tcl
+lib/Tix8.4.3/STList.tcl
+lib/Tix8.4.3/SText.tcl
+lib/Tix8.4.3/SWidget.tcl
+lib/Tix8.4.3/SWindow.tcl
+lib/Tix8.4.3/Select.tcl
+lib/Tix8.4.3/Shell.tcl
+lib/Tix8.4.3/SimpDlg.tcl
+lib/Tix8.4.3/StackWin.tcl
+lib/Tix8.4.3/StatBar.tcl
+lib/Tix8.4.3/StdBBox.tcl
+lib/Tix8.4.3/StdShell.tcl
+lib/Tix8.4.3/TList.tcl
+lib/Tix8.4.3/Tree.tcl
+lib/Tix8.4.3/Utils.tcl
+lib/Tix8.4.3/VResize.tcl
+lib/Tix8.4.3/VStack.tcl
+lib/Tix8.4.3/VTree.tcl
+lib/Tix8.4.3/Variable.tcl
+lib/Tix8.4.3/WInfo.tcl
+lib/Tix8.4.3/fs.tcl
+lib/Tix8.4.3/pref/10Point.fs
+lib/Tix8.4.3/pref/WmDefault.txt
+lib/Tix8.4.3/pref/WmDefault.tcl
+lib/Tix8.4.3/pref/WmDefault.py
+lib/Tix8.4.3/pref/WmDefault.fsc
+lib/Tix8.4.3/pref/WmDefault.fs
+lib/Tix8.4.3/pref/WmDefault.csc
+lib/Tix8.4.3/pref/WmDefault.cs
+lib/Tix8.4.3/pref/TkWin.fsc
+lib/Tix8.4.3/pref/TkWin.fs
+lib/Tix8.4.3/pref/TkWin.csc
+lib/Tix8.4.3/pref/TkWin.cs
+lib/Tix8.4.3/pref/TixGray.csc
+lib/Tix8.4.3/pref/TixGray.cs
+lib/Tix8.4.3/pref/TK.fsc
+lib/Tix8.4.3/pref/TK.fs
+lib/Tix8.4.3/pref/TK.csc
+lib/Tix8.4.3/pref/TK.cs
+lib/Tix8.4.3/pref/SGIGray.csc
+lib/Tix8.4.3/pref/SGIGray.cs
+lib/Tix8.4.3/pref/Old14Pt.fs
+lib/Tix8.4.3/pref/Old12Pt.fs
+lib/Tix8.4.3/pref/Gray.csc
+lib/Tix8.4.3/pref/Gray.cs
+lib/Tix8.4.3/pref/Blue.csc
+lib/Tix8.4.3/pref/Blue.cs
+lib/Tix8.4.3/pref/Bisque.csc
+lib/Tix8.4.3/pref/Bisque.cs
+lib/Tix8.4.3/pref/14Point.fsc
+lib/Tix8.4.3/pref/14Point.fs
+lib/Tix8.4.3/pref/12Point.fsc
+lib/Tix8.4.3/pref/12Point.fs
+lib/Tix8.4.3/pref/10Point.fsc
+lib/Tix8.4.3/pref/pkgIndex.tcl
+lib/Tix8.4.3/bitmaps/act_fold.gif
+lib/Tix8.4.3/bitmaps/warning.gif
+lib/Tix8.4.3/bitmaps/tick.xbm
+lib/Tix8.4.3/bitmaps/textfile.xpm
+lib/Tix8.4.3/bitmaps/textfile.xbm
+lib/Tix8.4.3/bitmaps/textfile.gif
+lib/Tix8.4.3/bitmaps/system.xbm
+lib/Tix8.4.3/bitmaps/srcfile.xpm
+lib/Tix8.4.3/bitmaps/srcfile.xbm
+lib/Tix8.4.3/bitmaps/srcfile.gif
+lib/Tix8.4.3/bitmaps/restore.xbm
+lib/Tix8.4.3/bitmaps/resize2.xbm
+lib/Tix8.4.3/bitmaps/resize1.xbm
+lib/Tix8.4.3/bitmaps/plusarm.xpm
+lib/Tix8.4.3/bitmaps/plusarm.xbm
+lib/Tix8.4.3/bitmaps/plusarm.gif
+lib/Tix8.4.3/bitmaps/plus.xpm
+lib/Tix8.4.3/bitmaps/plus.xbm
+lib/Tix8.4.3/bitmaps/plus.gif
+lib/Tix8.4.3/bitmaps/openfold.xpm
+lib/Tix8.4.3/bitmaps/openfold.xbm
+lib/Tix8.4.3/bitmaps/openfold.gif
+lib/Tix8.4.3/bitmaps/network.xbm
+lib/Tix8.4.3/bitmaps/openfile.xbm
+lib/Tix8.4.3/bitmaps/no_entry.xpm
+lib/Tix8.4.3/bitmaps/no_entry.gif
+lib/Tix8.4.3/bitmaps/mktransgif.tcl
+lib/Tix8.4.3/bitmaps/minusarm.xpm
+lib/Tix8.4.3/bitmaps/minusarm.xbm
+lib/Tix8.4.3/bitmaps/minusarm.gif
+lib/Tix8.4.3/bitmaps/minus.xpm
+lib/Tix8.4.3/bitmaps/minus.xbm
+lib/Tix8.4.3/bitmaps/minus.gif
+lib/Tix8.4.3/bitmaps/minimize.xbm
+lib/Tix8.4.3/bitmaps/maximize.xbm
+lib/Tix8.4.3/bitmaps/info.xpm
+lib/Tix8.4.3/bitmaps/info.gif
+lib/Tix8.4.3/bitmaps/incr.xbm
+lib/Tix8.4.3/bitmaps/hourglas.xbm
+lib/Tix8.4.3/bitmaps/hourglas.mask
+lib/Tix8.4.3/bitmaps/harddisk.xbm
+lib/Tix8.4.3/bitmaps/folder.xpm
+lib/Tix8.4.3/bitmaps/folder.xbm
+lib/Tix8.4.3/bitmaps/folder.gif
+lib/Tix8.4.3/bitmaps/file.xpm
+lib/Tix8.4.3/bitmaps/file.xbm
+lib/Tix8.4.3/bitmaps/file.gif
+lib/Tix8.4.3/bitmaps/drop.xbm
+lib/Tix8.4.3/bitmaps/decr.xbm
+lib/Tix8.4.3/bitmaps/cross.xbm
+lib/Tix8.4.3/bitmaps/ck_on.xbm
+lib/Tix8.4.3/bitmaps/ck_off.xbm
+lib/Tix8.4.3/bitmaps/ck_def.xbm
+lib/Tix8.4.3/bitmaps/cbxarrow.xbm
+lib/Tix8.4.3/bitmaps/balarrow.xbm
+lib/Tix8.4.3/bitmaps/act_fold.xpm
+lib/Tix8.4.3/bitmaps/act_fold.xbm
+lib/Tix8.4.3/bitmaps/warning.xpm
+lib/Tix8.4.3/pkgIndex.tcl
+lib/Tix8.4.3/license.terms
+lib/Tix8.4.3/README.txt
+@dirrm lib/Tix8.4.3/bitmaps
+@dirrm lib/Tix8.4.3/pref
+@dirrm lib/Tix8.4.3/html
+@dirrm lib/Tix8.4.3